Bug 436112 - local variable 'url' referenced before assignment
local variable 'url' referenced before assignment
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-05 09:15 EST by Caolan McNamara
Modified: 2008-03-26 15:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 15:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2008-03-05 09:15:44 EST
WARN  coherence                   Mar 05 14:13:41  Coherence UPnP framework
version 0.5.0 starting... (coherence/base.py:165)
WARN  webserver                   Mar 05 14:13:41  WebServer on port 52688 ready
(coherence/base.py:103)
Traceback (most recent call last):
  File "/usr/lib/rhythmbox/plugins/upnp_coherence/__init__.py", line 42, in activate
    if url:
UnboundLocalError: local variable 'url' referenced before assignment

python-Coherence-0.5.0-1.fc9
rhythmbox-0.11.4-11.fc9.i386
rhythmbox-upnp-0.11.4-11.fc9.i386
Comment 1 Caolan McNamara 2008-03-05 09:17:24 EST
The next error is then...

Traceback (most recent call last):
  File "/usr/lib/rhythmbox/plugins/upnp_coherence/UpnpSource.py", line 41, in
do_impl_activate
    self.__client.content_directory.subscribe_for_variable('SystemUpdateID',
self.state_variable_change)
  File
"/usr/lib/python2.5/site-packages/coherence/upnp/services/clients/content_directory_client.py",
line 42, in subscribe_for_variable
    self.service.subscribe_for_variable(var_name, instance=0,
callback=callback,signal=signal)
  File "/usr/lib/python2.5/site-packages/coherence/upnp/core/service.py", line
193, in subscribe_for_variable
    variable.subscribe(callback)
  File "/usr/lib/python2.5/site-packages/coherence/upnp/core/variable.py", line
176, in subscribe
    callback( self)
TypeError: state_variable_change() takes exactly 3 arguments (2 given)
Comment 2 Bastien Nocera 2008-03-13 13:43:41 EDT
I've updated the whole upnp plugin with the patch from:
http://bugzilla.gnome.org/show_bug.cgi?id=512870

It's currently building in rhythmbox-0.11.4-13.fc9

Could you please check if it works for you?
Comment 3 Caolan McNamara 2008-03-13 15:09:23 EDT
Much better, none of the pesky actual errors, so I guess we can close this, as
that specific issue is fixed.

FWIW though, I do still get warnings, i.e. as inlined here and I get only 706
songs listed, and not the total 2664. 


WARN  webserver                   Mar 13 19:03:29  WebServer on port 42289 ready
(coherence/base.py:103)

** (rhythmbox:25344): WARNING **: No property volume.disc.capacity on device
with id /org/freedesktop/Hal/devices/volume_label_CDROM

WARN  rb_coherence_plugin         Mar 13 19:03:33  found upnp server Rhythmbox
on 192.168.1.103 (uuid:9d2f4666-6672-42f0-9cbb-159260cec3f9::upnp:rootdevice)
(coherence/__init__.py:144)
WARN  rb_coherence_plugin         Mar 13 19:03:38  found upnp server PHILIPS
WAC700 (uuid:0000001b-0000-0000-0000-0010c6fe88e9::upnp:rootdevice)
(coherence/__init__.py:144)
WARN  action                      Mar 13 19:04:07  error on Browse request with
urn:schemas-upnp-org:service:ContentDirectory:1 /UD/act?0
(coherence/upnp/core/action.py:91)
WARN  action                      Mar 13 19:04:28  error on Browse request with
urn:schemas-upnp-org:service:ContentDirectory:1 /UD/act?0
(coherence/upnp/core/action.py:91)
WARN  action                      Mar 13 19:04:36  error on Browse request with
urn:schemas-upnp-org:service:ContentDirectory:1 /UD/act?0
(coherence/upnp/core/action.py:91)
Unhandled error in Deferred:
Traceback (most recent call last):
Failure: twisted.internet.error.ConnectionLost: Connection to the other side was
lost in a non-clean fashion.
WARN  action                      Mar 13 19:04:38  error on Browse request with
urn:schemas-upnp-org:service:ContentDirectory:1 /UD/act?0
(coherence/upnp/core/action.py:91)
Unhandled error in Deferred:
Traceback (most recent call last):
Failure: twisted.internet.error.TimeoutError: User timeout caused connection
failure.
WARN  action                      Mar 13 19:04:38  error on Browse request with
urn:schemas-upnp-org:service:ContentDirectory:1 /UD/act?0
(coherence/upnp/core/action.py:91)
Comment 4 Bastien Nocera 2008-03-26 15:28:59 EDT
Could you please file a separate bug about those errors?

Note You need to log in before you can comment on or make changes to this bug.